Package org.eclipse.lemminx.extensions.references.participants

## Class XMLReferencesDefinitionParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.AbstractDefinitionParticipant
  - - org.eclipse.lemminx.extensions.references.participants.XMLReferencesDefinitionParticipant

All Implemented Interfaces:
  `IDefinitionParticipant`

    public class XMLReferencesDefinitionParticipant
    extends AbstractDefinitionParticipant

XML references definition participant.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLReferencesDefinitionParticipant​(XMLReferencesPlugin plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doFindDefinition​(IDefinitionRequest request, List<org.eclipse.lsp4j.LocationLink> locations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Find the definition
`protected boolean` `match​(DOMDocument document)` Returns true if the definition support is applicable for the given document and false otherwise.

### Methods inherited from class org.eclipse.lemminx.services.extensions.AbstractDefinitionParticipant

`findDefinition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLReferencesDefinitionParticipant

    public XMLReferencesDefinitionParticipant​(XMLReferencesPlugin plugin)

### Method Detail

#### match

    protected boolean match​(DOMDocument document)

Description copied from class: `AbstractDefinitionParticipant`
Returns true if the definition support is applicable for the given document and false otherwise.

Specified by:
  `match` in class `AbstractDefinitionParticipant`
Returns:
  true if the definition support is applicable for the given document and false otherwise.

#### doFindDefinition

    protected void doFindDefinition​(IDefinitionRequest request,
                                    List<org.eclipse.lsp4j.LocationLink> locations,
                                    org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from class: `AbstractDefinitionParticipant`
Find the definition

Specified by:
  `doFindDefinition` in class `AbstractDefinitionParticipant`